Commit 1e3b5418 authored by Robert Loehning's avatar Robert Loehning
Browse files

Squish: Update createNewQtQuickUI() and calling code



Change-Id: I117afaabd0baf6074247c55b66d8d302b9dbfd34
Reviewed-by: Christian Stenger's avatarChristian Stenger <christian.stenger@qt.io>
parent acf908fc
......@@ -309,7 +309,7 @@ def createNewQtQuickApplication(workingDir, projectName = None,
return checkedTargets, projectName
def createNewQtQuickUI(workingDir, qtVersion = "5.3"):
def createNewQtQuickUI(workingDir, qtVersion = "5.6"):
__createProjectOrFileSelectType__(" Other Project", 'Qt Quick UI Prototype')
if workingDir == None:
workingDir = tempDir()
......
......@@ -30,29 +30,17 @@ def main():
if not startedWithoutPluginError():
return
available = ["5.6"]
if platform.system() != 'Darwin':
available.extend(["5.4"])
for qtVersion in available:
# using a temporary directory won't mess up a potentially existing
workingDir = tempDir()
projectName = createNewQtQuickUI(workingDir, qtVersion)
if qtVersion == "5.6":
kit = Targets.getStringForTarget(Targets.DESKTOP_561_DEFAULT)
if addAndActivateKit(Targets.DESKTOP_561_DEFAULT):
quick = "2.6"
else:
test.fatal("Failed to activate kit %s" % kit)
continue
else: # qtVersion == '5.4'
if platform.system() == 'Darwin':
continue
kit = Targets.getStringForTarget(Targets.DESKTOP_541_GCC)
if addAndActivateKit(Targets.DESKTOP_541_GCC):
quick = "2.4"
else:
test.fatal("Failed to activate kit %s" % kit)
continue
kit = Targets.getStringForTarget(Targets.DESKTOP_561_DEFAULT)
if addAndActivateKit(Targets.DESKTOP_561_DEFAULT):
quick = "2.6"
else:
test.fatal("Failed to activate kit %s" % kit)
continue
test.log("Running project Qt Quick UI Prototype (%s)" % kit)
qmlViewer = modifyRunSettingsForHookIntoQtQuickUI(2, 1, workingDir, projectName, 11223, quick)
if qmlViewer!=None:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment